Skip to main content
PUT
Update checkout session
This endpoint requires the checkout-sessions.write scope.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

checkout_session_id
string<uuid>
required

The unique ID for a Checkout Session.

Example:

"8724fd24-5489-4a5d-90fd-0604df7d3b83"

Body

application/json

A request to update a checkout session.

cart_items
Cart Item · object[] | null

An array of cart items that represents the line items of a transaction.

metadata
object | null

Any additional information about the transaction that you would like to store as key-value pairs. This data is passed to payment service providers that support it.

Example:
airline
Airline Addendum · object | null

The airline addendum data which describes the airline booking associated with this transaction.

Response

Returns the updated Checkout Session.

A short-lived checkout session.

type
enum<string>

checkout-session.

Available options:
checkout-session
Example:

"checkout-session"

id
string<uuid>

The ID of the Checkout Session.

Example:

"8d3fe99b-1422-42e6-bbb3-932d95ae5f79"

expires_at
string<date-time>

The date and time when the Checkout Session will expire. By default this will be set to 1 hour from the date of creation.

Example:

"2022-01-01T00:00:00+00:00"

cart_items
Cart Item · object[] | null

An array of cart items that represents the line items of a transaction.

metadata
object | null

Any additional information about the transaction that you would like to store as key-value pairs. This data is passed to payment service providers that support it.

Example:
airline
Airline Addendum · object | null

Contains information about an airline travel, if applicable.

payment_method
object | null

Details about the payment method for card type only.